package contactospersonales.mundo;

import java.util.ArrayList;
import listas.modelo.Lista;
import listas.modelo.PosicionIlegalException;

/**
 * Clase que representa una lista de contactos personales
 */


/**
 * Clase que representa una lista de contactos personales
 */
public class ListaDeContactos {
	//Atributo
	private Lista<Contacto> contactos;
	//Metodos
	//Constructor
	public ListaDeContactos() {
		contactos = new Lista<Contacto>();
	}


	/**
	 * Retorna una lista de todos los contactos.
	 * 
    */
	public Lista<Contacto> mostrarTodosLosContactos() {
		return contactos;
	}


	/**
	 * Agrega un nuevo contacto a la lista, si todavia no hay ningun contacto
	 * con los nombres y los apellidos dados
	 * @throws PosicionIlegalException 
	 */
	public boolean agregarContacto(String nombres, String apellidos,
			String direccion, String correo, String telefono,
			String celular) throws PosicionIlegalException {
		Contacto con = buscarContacto(nombres, apellidos);
		if (con == null) // se puede agregar el contacto
		{
			Contacto nuevo = new Contacto(nombres, apellidos, direccion, correo,telefono,celular);
			contactos.agregar(nuevo);
			return true;
		} else {
			return false;
		}
	}

	/**
	 * Elimina un contacto dados sus nombres y su apellidos <br>
	 * <b>post: </b> si el usuario existe en la lista se elimina
	 * @return true si se pudo eliminar el contacto, false de lo contrario
	 * @throws PosicionIlegalException 
	 */
	public boolean eliminarContacto(String nombres, String apellidos) throws PosicionIlegalException {
		Contacto con = buscarContacto(nombres, apellidos);
		if (con != null) {
			for(int i=0;i< this.contactos.getTamanio();i++){
				Contacto contAux = contactos.getValor(i);
				if (contAux.getNombres().equals(nombres) && contAux.getApellidos().equals(apellidos))
				{
					contactos.remover(i);
				}
			}
			return true;
		} else
			return false;

	}

	/**
	 * Modifica los datos de un contacto dados sus nombres y apellidos <br>
	 * <b>post: </b> Si el usuario existe se modifican sus datos
	 * @return true si se pudo modificar el contacto, false de lo contrario
	 * @throws PosicionIlegalException 
	 */
	public boolean modificarContacto(String nombres, String apellidos,
			String direccion, String correo, String telefono,
			String celular) throws PosicionIlegalException {
		// Verifica si el contacto existe
		Contacto con = buscarContacto(nombres, apellidos);
		if (con == null) {
			return false;
		}
		// Modifica el contacto con los nuevos datos
		con.setNombres(nombres);
		con.setApellidos(apellidos);
		con.setDireccion(direccion);
		con.setCorreo(correo);
		con.setTelefono(telefono);
		con.setCelular(celular);
		return true;
	}

	/**
	 * busca un contacto dado sus nombres y apellidos
	 * @return el contacto si se encuentra, null en caso contrario
	 * @throws PosicionIlegalException 
	 */
	public Contacto buscarContacto(String nombres, String apellidos) throws PosicionIlegalException {
		for(int i=0; i<contactos.getTamanio();i++){
			Contacto con= contactos.getValor(i);
			if (nombres.equals(con.getNombres()) && apellidos.equals(con.getApellidos())) {
				return con;
			}
		}
		return null;//No lo encontro, devuelve nulo
	}
}

