package listas.modelo;

public class Nodo<T> {
	/**
	 * Atributo valor de tipo T. Almacena la referencia al objeto que se guarda
	 * en el nodo
	 */
	private T valor;
	/**
	 * Referencia al siguiente nodo enlazado
	 */
	private Nodo<T> siguiente;

	/**
	 * Constructor por defecto
	 */
	public Nodo() {
		valor = null;
		siguiente = null;
	}

	/**
	 * Devuelve el valor
	 * 
	 * @return valor del nodo
	 */
	public T getValor() {
		return valor;
	}

	/**
	 * Modifica el valor
	 * 
	 * @param valor
	 *            nuevo del nodo
	 */
	public void setValor(T valor) {
		this.valor = valor;
	}

	/**
	 * Devuelve el atributo siguiente
	 * 
	 * @return siguiente nodo
	 */
	public Nodo<T> getSiguiente() {
		return siguiente;
	}

	/**
	 * Modifica el atributo siguiente
	 * 
	 * @param siguiente
	 *            siguiente nodo
	 */
	public void setSiguiente(Nodo<T> siguiente) {
		this.siguiente = siguiente;
	}
}