package prestamorecursos.cliente;

import java.util.Date;

import listas.modelo.Lista;
import listas.modelo.PosicionIlegalException;
import prestamorecursos.mundo.Recurso;
import prestamorecursos.mundo.Universidad;

public class ClienteMain {

	public static void main(String[] args) {
		Universidad univ = new Universidad();

		try {
			univ.agregarEstudiante(123, "Juan Perez", "juan@gmail.com",
					new Date(1990 - 1900, 0, 1), "M", "Sistemas");
			univ.agregarEstudiante(456, "Maria Ordoñez", "maria@gmail.com",
					new Date(1989 - 1900, 1, 15), "F", "Electronica");
			univ.agregarRecurso(12, "Gitarra");
			univ.agregarRecurso(13, "Balon futbol");
			univ.agregarRecurso(14, "Balon baloncesto");

			univ.prestarRecurso(123, 12);
			univ.prestarRecurso(123, 13);
			univ.consultarEstudianteTieneRecurso(12);

			Lista<Recurso> recursos = univ.consultarRecursosDeUnEstudiante(123);

			if (recursos != null) {
				System.out
						.println("Los recursos prestados al estudiante 12 son:");
				for (int i = 0; i < recursos.getTamanio(); i++) {
					System.out.println(recursos.getValor(i));

				}
			}

			univ.devolverRecurso(12);
			univ.prestarRecurso(456, 12);
			univ.eliminarRecurso(12);
			univ.devolverRecurso(12);
			univ.eliminarEstudiante(123);

		} catch (PosicionIlegalException e) {
			e.printStackTrace();
		}
	}
}
